namespace Wizard;

public class VoteTask : BaseTask
{
	public class VoteTaskParam : BaseParam
	{
		public int vote_id;

		public int target_id;
	}

	public VoteTask()
	{
		base.type = ApiType.Type.Vote;
	}

	public void SetParameter(int voteId, int targetId)
	{
		VoteTaskParam voteTaskParam = new VoteTaskParam();
		voteTaskParam.vote_id = voteId;
		voteTaskParam.target_id = targetId;
		base.Params = voteTaskParam;
	}
}
